<h1><%= @headline %></h1>

<h2>Figures</h2>
<% if not @figurevars %>
    <p>No figures exist yet.</p>
<% else %>

<table id='figurevars'>
    <thead>
    <tr>
        <th><%= smr_paginate @page, @total_pages, objects_figurevar_index_path %></th>
        <th>Unit</th>
        <th>Expression</th>
    </tr>
    </thead>
    <tbody>
    <% @figurevars.each do |f| %>
        <tr class="separaterows">
            <td <% unless f.comment.blank? %>rowspan=2<% end %>>
              <%= link_to '+', controller: 'objects/figurevar', action: 'edit', id: f.id %>
              <%= f.name %><br/>
            </td>
            <td><%= 'in %s' % f.unit unless f.unit.blank? %></td>
            <td><code><%= f.expression %></code></td>
        </tr>
        <% unless f.comment.blank? %><tr><td colspan=3><span class="comment_text"><%= f.comment %></span></td></tr><% end %>
    <% end %>
    </tbody>
</table>
<% end %>

